<div fxFlex="100" fxLayout="column">
  <!--  header row-->
  <div fxFlex="100" fxLayout="row" fxLayoutAlign="start center">
    <div fxLayout="row" fxFlex="80" style="font-size: 24px;">
      {{isEdit ? 'Ενημέρωση' : 'Δημιουργία' }}
    </div>
    <div fxLayout="row" fxFlex="20" fxLayoutAlign="flex-end">
      <button mat-icon-button>
        <mat-icon (click)="close(false)">close</mat-icon>
      </button>
    </div>
  </div>
  <!--  -->

  <div fxLayout="row" fxFlex="100" style="margin-top: 2rem;">
    <div fxLayout="column" fxFlex="100">
      <mat-form-field>
        <mat-label>Όνομα</mat-label>
        <input matInput type="text" [(ngModel)]="category.name">
      </mat-form-field>

      <mat-form-field>
        <mat-label>Εναλλακτικό όνομα</mat-label>
        <input matInput type="text" [(ngModel)]="category.description">
      </mat-form-field>

      <div fxFlex="100" fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="5px">
        <mat-checkbox [(ngModel)]="category.hasStamps">Υποστήριξη σταμπών</mat-checkbox>
        <mat-form-field>
          <mat-label>Αριθμός σταμπών για δώρο</mat-label>
          <input matInput type="text" [(ngModel)]="category.stampsRewards">
        </mat-form-field>
      </div>

      <div fxFlex="100" fxLayout="row" fxLayoutAlign="center center">
      <img *ngIf="category.imageBlob" [src]="domSanitizer.bypassSecurityTrustResourceUrl(image)" style="width: 100px; height: 100px; margin-top: 2rem; margin-bottom: 2rem; border-radius: 50%;"/>
      </div>
      <input #fileInput type="file" (change)="onFileInput($event)"
             accept="image/png, image/jpeg" style="display:none;" />

      <div fxLayout="row" fxFlex="100" fxLayoutAlign="center center" fxLayoutGap="5px">
      <button mat-flat-button (click)="fileInput.click()">
        <mat-icon>upload</mat-icon>
        Μεταφόρτωση εικόνας
      </button>

      <button mat-flat-button (click)="updateImage()" *ngIf="isEdit">
        <mat-icon>upload</mat-icon>
        Ενημέρωση εικόνας
      </button>

      </div>

    </div>
  </div>

  <div fxLayout="row" fxFlex="100" style="margin-top: 2rem;" fxLayoutAlign="flex-end">
    <button mat-flat-button [disabled]="isFormInvalid()" (click)="isEdit ? updateCategory() : createCategory()" [class.spinner]="loading">
      {{isEdit ? 'Ενημέρωση' : 'Δημιουργία' }}

    </button>
  </div>
</div>
